MethodRetryHandler (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.MethodRetryHandler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Interface MethodRetryHandler

All Known Implementing Classes:
  DefaultMethodRetryHandler

Deprecated. use `HttpMethodRetryHandler`

    public interface MethodRetryHandler

A handler for determining if an HttpMethod should be retried after a recoverable exception during execution.

Author:
  Michael Becke
See Also:
  `HttpMethod.execute(HttpState, HttpConnection)`, `HttpRecoverableException`

Method Summary
`boolean` | `retryMethod(HttpMethod method, HttpConnection connection, HttpRecoverableException recoverableException, int executionCount, boolean requestSent)` Deprecated. Determines if a method should be retried after an HttpRecoverableException occurs during execution.

Method Detail

### retryMethod

    boolean retryMethod(HttpMethod method,
                        HttpConnection connection,
                        HttpRecoverableException recoverableException,
                        int executionCount,
                        boolean requestSent)

  Deprecated.
  Determines if a method should be retried after an HttpRecoverableException occurs during execution.

  Parameters:
    `method` - the method being executed
    `connection` - the connection the method is using
    `recoverableException` - the exception that occurred
    `executionCount` - the number of times this method has been unsuccessfully executed
    `requestSent` - this argument is unused and will be removed in the future. `HttpMethod.isRequestSent()` should be used instead
  Returns:
    `true` if the method should be retried, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.